com.holonplatform.datastore.jdbc

## Interface JdbcDatastore

- All Superinterfaces:
    com.holonplatform.core.datastore.ConfigurableDatastore, ConnectionHandler, com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JdbcDatastoreCommodityContext>, com.holonplatform.core.datastore.DatastoreOperations<com.holonplatform.core.datastore.Datastore.OperationResult,com.holonplatform.core.property.PropertyBox,com.holonplatform.core.datastore.bulk.BulkInsert,com.holonplatform.core.datastore.bulk.BulkUpdate,com.holonplatform.core.datastore.bulk.BulkDelete,com.holonplatform.core.query.Query>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, Serializable, com.holonplatform.core.datastore.transaction.Transactional

      public interface JdbcDatastore
      extends com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.transaction.Transactional, ConnectionHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JdbcDatastoreCommodityContext>

  JDBC `Datastore`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JdbcDatastore.Builder<D extends JdbcDatastore>` `JdbcDatastore` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreOperations

      `com.holonplatform.core.datastore.DatastoreOperations.WriteOption`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcDatastore.Builder<JdbcDatastore>` | `builder()` Get a builder to create a `JdbcDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, delete, insert, isTransactional, query, query, refresh, requireTransactional, save, update`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, addExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.core.datastore.transaction.Transactional

      `withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.ConnectionHandler

      `withConnection, withConnection`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

- - ### Method Detail

    - #### builder

          static JdbcDatastore.Builder<JdbcDatastore> builder()

      Get a builder to create a `JdbcDatastore` instance.
      Returns:
        Datastore builder

Copyright © 2019 The Holon Platform. All rights reserved.